Page MenuHomePhabricator

`ZH 不转换"` shows in list of variants
Closed, InvalidPublic

Description

Originally brought up here
ZH 不转换 means unchangeabled.

So we shouldn't show any variants in this case.

I wonder why this shows at all...! @Amire80 @Nikerabbit do you know why this is showing up and if we can programmatically supress this?

Event Timeline

Jdlrobson updated the task description. (Show Details)Mar 29 2016, 6:47 PM

No it does not mean unchangeable. Technically ZH is just a variant, with an (almost) empty conversion table, 不转换 means unchanged.

On regular UI we hid ZH along with ZH-HANS and ZH-HANT because they're rarely used and not expected to be used by "readers". That said, there's no logical or programmatical error here.

Jdlrobson added a comment.EditedMar 29 2016, 8:53 PM

Ahh thanks @liangent for clearing this up. What do you mean by regular UI? Vector? What code hides them?

Ahh thanks @liangent for clearing this up. What do you mean by regular UI? Vector? What code hides them?

Vector with site CSS (as a gadget) applied, where there is a list of first three variants hard coded as hidden. See https://zh.wikipedia.org/wiki/MediaWiki:Gadget-hideConversionTab.css

Jdlrobson updated the task description. (Show Details)EditedMar 30 2016, 5:47 PM

Ahh thanks @liangent for clearing this up. What do you mean by regular UI? Vector? What code hides them?

Vector with site CSS (as a gadget) applied, where there is a list of first three variants hard coded as hidden. See https://zh.wikipedia.org/wiki/MediaWiki:Gadget-hideConversionTab.css

@liangent we shouldn't need to do this in css. This should be done as a site config. Is there any reason that is not done in the code itself? It seems strange we are outputting these in the first place.

(Note if we want to hide these 3 variants, we can do so using the wiki page MediaWiki:Mobile.css @liangent). It should not block us pushing this feature to stable.

I would be keen to raise an upstream bug though to avoid this confusion.

On regular UI we hid ZH along with ZH-HANS and ZH-HANT because they're rarely used and not expected to be used by "readers". That said, there's no logical or programmatical error here.

I suggest we close this task as invalid.

Jdlrobson closed this task as Invalid.Apr 7 2016, 8:25 AM

I agree. Let's take care of this in mobile.js
Thanks everyone!

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptApr 7 2016, 8:25 AM